import HistoricalData from "@/components/logistics/siloAdjustments/HistoricalData";
import { createFileRoute, redirect } from "@tanstack/react-router";

export const Route = createFileRoute("/(logistics)/siloAdjustments/$hist")({
    component: RouteComponent,
    beforeLoad: async () => {
        const auth = localStorage.getItem("auth_token");
        if (!auth) {
            throw redirect({
                to: "/login",
                search: {
                    // Use the current location to power a redirect after login
                    // (Do not use `router.state.resolvedLocation` as it can
                    // potentially lag behind the actual current location)
                    redirect: location.pathname + location.search,
                },
            });
        }
    },
    // In a loader
    loader: ({ params }) => params.hist,
    // Or in a component
});

function RouteComponent() {
    const { hist } = Route.useParams();
    return (
        <div>
            <HistoricalData laneId={hist} />
        </div>
    );
}
